Bug 126588 - Using "meta" key as modifier for Preferences->Control Center->Desktop->Window Behavior acts like meta key is being held down all the time
Using "meta" key as modifier for Preferences->Control Center->Desktop->Window...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 12:19 EDT by Jeffrey Silverman
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Silverman 2004-06-23 12:19:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
In the KDE Control Center, under Desktop->Window Behavior, you can
choose which key to act as a modifier to do things like move or resize
the current window.

When I choose "Meta" (instead of "Alt", the default) as the modifier,
KDE acts as if the modifier key is being held down ALL THE TIME. Even
when not actually being held down.

So, in other words, choosing "Meta" as the modifier key allows me to
left-click on an inactive window and it will MOVE the window!  Which
is the expected result only when I am holding the Meta key down, but
not when the key is not pressed.

Choosing "Alt" as the modifier key works as expected.

I am using a Dell QuietKey 104 key keyboard.  I am in the US, so I 
chose US as my locale when I installed FC2.

The "Meta" key in my case is actually the "Windows" key.

Version-Release number of selected component (if applicable):
kdebase-3.2.2-4

How reproducible:
Always

Steps to Reproduce:
1. Choose RedHat Menu->Preferences->Control Center->Desktop->Window
Behavior

2.Select the "Actions" tab

3. Choose "Meta" as the modifier key under "Inner Window, Titlebar &
Frame" (The third section).

4. Choose "Move" for "Modifier key + left button"

5. Click "Apply"

6. Try to left-click-and-hold on any inactive window but do NOT hold
down the Meta key.  The window is held and moves!

Actual Results:  Try to left-click-and-hold on any inactive window but
do NOT hold down the Meta key.  The window is held and moves!

Expected Results:  You must hold the Meta key while you left-click for
the window to move.  I would expect that only the "inactive window"
button actions should be passed to the window, and not the "inactive
window + modifier key" actions.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:21:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:49:51 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.